Bug 1103389 - [abrt] easytag: ET_Set_Displayed_File_List(): easytag killed by SIGSEGV
Summary: [abrt] easytag: ET_Set_Displayed_File_List(): easytag killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easytag
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:136e1d08355690fb201db0a05ed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-31 00:07 UTC by jschreiner
Modified: 2014-07-01 23:30 UTC (History)
2 users (show)

Fixed In Version: easytag-2.2.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-01 23:30:08 UTC


Attachments (Terms of Use)
File: backtrace (42.95 KB, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: cgroup (172 bytes, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: core_backtrace (19.91 KB, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: dso_list (10.58 KB, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: environ (1.53 KB, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: exploitable (100 bytes, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: maps (51.26 KB, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: open_fds (856 bytes, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details
File: var_log_messages (364 bytes, text/plain)
2014-05-31 00:07 UTC, jschreiner
no flags Details

Description jschreiner 2014-05-31 00:07:25 UTC
Version-Release number of selected component:
easytag-2.2.2-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        easytag
crash_function: ET_Set_Displayed_File_List
executable:     /usr/bin/easytag
kernel:         3.14.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ET_Set_Displayed_File_List
 #1 Browser_Album_List_Row_Selected
 #2 _g_closure_invoke_va at gclosure.c:840
 #4 g_signal_emit_by_name at gsignal.c:3426
 #5 gtk_tree_view_row_deleted at gtktreeview.c:9174
 #10 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #11 gtk_list_store_remove at gtkliststore.c:1230
 #12 gtk_list_store_clear at gtkliststore.c:1444
 #13 Read_Directory
 #14 Browser_Tree_Node_Selected

Comment 1 jschreiner 2014-05-31 00:07:29 UTC
Created attachment 901005 [details]
File: backtrace

Comment 2 jschreiner 2014-05-31 00:07:31 UTC
Created attachment 901006 [details]
File: cgroup

Comment 3 jschreiner 2014-05-31 00:07:34 UTC
Created attachment 901007 [details]
File: core_backtrace

Comment 4 jschreiner 2014-05-31 00:07:36 UTC
Created attachment 901008 [details]
File: dso_list

Comment 5 jschreiner 2014-05-31 00:07:39 UTC
Created attachment 901009 [details]
File: environ

Comment 6 jschreiner 2014-05-31 00:07:41 UTC
Created attachment 901010 [details]
File: exploitable

Comment 7 jschreiner 2014-05-31 00:07:43 UTC
Created attachment 901011 [details]
File: limits

Comment 8 jschreiner 2014-05-31 00:07:45 UTC
Created attachment 901012 [details]
File: maps

Comment 9 jschreiner 2014-05-31 00:07:47 UTC
Created attachment 901013 [details]
File: open_fds

Comment 10 jschreiner 2014-05-31 00:07:49 UTC
Created attachment 901014 [details]
File: proc_pid_status

Comment 11 jschreiner 2014-05-31 00:07:51 UTC
Created attachment 901015 [details]
File: var_log_messages

Comment 12 David King 2014-06-15 13:43:32 UTC
This bug is currently being discussed on the EasyTAG mailing list:

https://mail.gnome.org/archives/easytag-list/2014-June/msg00006.html

I am a bit busy at the moment, but hopefully there should be a complete fix soon (which will likely be rolled into a new 2.2.3 release).

Comment 13 David King 2014-06-22 22:39:43 UTC
The latest 2.2.3 release should solve this bug:

https://admin.fedoraproject.org/updates/easytag-2.2.3-1.fc20

Comment 14 Fedora Update System 2014-06-23 14:07:05 UTC
easytag-2.2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/easytag-2.2.3-1.fc19

Comment 15 Fedora Update System 2014-06-23 14:07:32 UTC
easytag-2.2.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/easytag-2.2.3-1.fc20

Comment 16 Fedora Update System 2014-06-24 01:56:09 UTC
Package easytag-2.2.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing easytag-2.2.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7644/easytag-2.2.3-1.fc20
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-07-01 23:30:08 UTC
easytag-2.2.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-07-01 23:30:45 UTC
easytag-2.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.